Bug 66410 - UI: Auto scroll with middle mouse button not working.
Summary: UI: Auto scroll with middle mouse button not working.
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
4.0.4.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 105418 115265 119274 (view as bug list)
Depends on:
Blocks: Scrolling-PageUpDown
  Show dependency treegraph
 
Reported: 2013-06-30 18:42 UTC by Lukasz
Modified: 2020-12-11 03:47 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lukasz 2013-06-30 18:42:26 UTC
The scrolling with middle mouse button is not working when set to this behavior in view options. Nothing happens after clicking and dragging middle mouse button on the drawing area. If the issue was solved it would be a lot easier and faster to create drawings.
Comment 1 Jorendc 2013-07-04 21:47:09 UTC
Rather an enhancement then a bug. I see the use case (don't use it myself, but it's a valid request).

Kind regards,
Joren
Comment 2 MarjaE 2016-03-19 01:16:20 UTC
Is working for me... except not working because unusably fast, worsening migraine, and giving no control.
Comment 3 Heiko Tietze 2016-06-30 09:03:59 UTC
Tools > Options > View > Middle mouse button = Automatic scrolling

When a shape is being selected the middle mouse duplicates it to the current position (otherwise, if nothing is selected, the clipboard is pasted). I don't see any scrolling. And as a Linux user I wouldn't expect. But since there is the option I'd say it's a bug.

Setting to normal.
Comment 4 QA Administrators 2017-09-01 11:15:46 UTC Comment hidden (obsolete)
Comment 5 Buovjaga 2018-02-15 20:24:07 UTC
*** Bug 105418 has been marked as a duplicate of this bug. ***
Comment 6 Buovjaga 2018-02-15 20:24:30 UTC
*** Bug 115265 has been marked as a duplicate of this bug. ***
Comment 7 Buovjaga 2018-02-15 20:26:46 UTC
To reflect the two reports I just duped to this, it would make sense while fixing this non-working feature to ensure that in Draw it works like panning: in both x and y axes.
Comment 8 Buovjaga 2018-09-03 18:53:10 UTC
*** Bug 119274 has been marked as a duplicate of this bug. ***
Comment 9 QA Administrators 2020-12-11 03:47:31 UTC
Dear Lukasz,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug